Operation (Java SE 26 & JDK 26)
Description: declaration: module: java.rmi, package: java.rmi.server, class: Operation
Keywords: java.rmi.server.Operation class

# Class Operation

java.lang.Object
java.rmi.server.Operation

@Deprecated public class Operation extends Object
Deprecated.
no replacement
An `Operation` contains a description of a Java method. `Operation` objects were used in JDK1.1 version stubs and skeletons. The `Operation` class is not needed for 1.2 style stubs; hence, this class is deprecated.

Since:
  1.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Operation(String op)`
  Deprecated.
  no replacement

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOperation()`
  Deprecated.
  no replacement
  `String`
  `toString()`
  Deprecated.
  no replacement

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Operation

    @Deprecated public Operation(String op)
    Deprecated.
    no replacement
    Creates a new Operation object.
    Parameters:
      `op` - method name
    Since:
      1.1

- ## Method Details

  - ### getOperation

    @Deprecated public String getOperation()
    Deprecated.
    no replacement
    Returns the name of the method.
    Returns:
      method name
    Since:
      1.1

  - ### toString

    @Deprecated public String toString()
    Deprecated.
    no replacement
    Returns the string representation of the operation.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the object
    Since:
      1.1